package com.easyproject.service.mapper.coze;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.easyproject.service.domain.coze.CozeBotSet;

import java.util.List;


/**
 * 智能体Mapper接口
 *
 * @author easyproject
 * @date 2025-03-23
 */
public interface CozeBotSetMapper extends BaseMapper<CozeBotSet> {
    /**
     * 查询智能体
     *
     * @param id 智能体主键
     * @return 智能体
     */
    public CozeBotSet selectCozeBotSetById(Long id);

    /**
     * 查询智能体列表
     *
     * @param cozeBotSet 智能体
     * @return 智能体集合
     */
    public List<CozeBotSet> selectCozeBotSetList(CozeBotSet cozeBotSet);

    /**
     * 新增智能体
     *
     * @param cozeBotSet 智能体
     * @return 结果
     */
    public int insertCozeBotSet(CozeBotSet cozeBotSet);

    /**
     * 修改智能体
     *
     * @param cozeBotSet 智能体
     * @return 结果
     */
    public int updateCozeBotSet(CozeBotSet cozeBotSet);

    /**
     * 删除智能体
     *
     * @param id 智能体主键
     * @return 结果
     */
    public int deleteCozeBotSetById(Long id);

    /**
     * 批量删除智能体
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCozeBotSetByIds(Long[] ids);
}
